Get Payment Records
get
/payments
Gets payment records based on filter criteria.
Request
Query Parameters
-
accountNo: string
Account number to filter by.
-
amount: number
Exact payment amount; takes precedence over amount[eq].
-
amount[eq]: string
Exact payment amount; ignored when amount is supplied.
-
amount[gt]: string
Payment amount greater than this value.
-
amount[gte]: string
Payment amount greater than or equal to this value.
-
amount[lt]: string
Payment amount less than this value.
-
amount[lte]: string
Payment amount less than or equal to this value.
-
assignedId: string
Numeric ID of the user assigned to the suspense payment.
-
billNo: string
Bill number to filter by.
-
channelId: string
Payment channel ID to filter by.
-
creationDate: string
Exact creation time in Unix epoch milliseconds.
-
creationDate[eq]: string
Exact creation time in Unix epoch milliseconds; ignored when creationDate is supplied.
-
creationDate[gt]: string
Creation time after this Unix epoch millisecond value.
-
creationDate[gte]: string
Creation time at or after this Unix epoch millisecond value.
-
creationDate[lt]: string
Creation time before this Unix epoch millisecond value.
-
creationDate[lte]: string
Creation time at or before this Unix epoch millisecond value.
-
currency: integer(int32)
Numeric currency code to filter by.
-
excludedPayType: string
Payment type to exclude from results.
-
limit: integer(int32)
Maximum records to return; defaults to the configured payment fetch size.
-
offset: integer(int32)
First record to return, starting at zero.
-
payType: string
Payment type to filter by.
-
reasonId: string
Payment reason ID to filter by.
-
schema: integer(int32)
Numeric BRM schema identifier.
-
sessionObj: string
Session object identifier to filter by.
-
sortOrder: string
Sort direction; defaults to DESC.
-
sortbyField: string
Sort field; defaults to CREATED_T.
-
state: string
Payment state to filter by.
-
suspenseAccountId: string
REST ID of the suspense account to filter by.
-
transId: string
Payment transaction ID to filter by.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
The payment records were returned successfully.
Nested Schema : payment
Type:
Show Source
object-
amount(required): number
The payment amount.
-
currency: integer
(int32)
The payment's currency.
-
extension: object
extension
The extended attributes.
-
itemPaymentRef: string
The item associated with the payment.
-
notes: object
Notes
-
payinfoTypeObject(required): object
Discriminator: @class
Discriminator:
{ "propertyName":"@class" } -
selectedBillUnit: string
The bill unit associated with the payment.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : Notes
Type:
Show Source
object-
accountId(required): string
The ID of the account associated with the note.
-
amount: number
The amount associated with the note. It can be a payment amount, an adjustment amount, or so on.
-
billId: string
The ID of the bill associated with the note.
-
billUnitId: string
The ID of the bill unit associated with the note.
-
closedDate: string
(date-time)
The date and time the note was resolved.
-
comments: array
comments
The list of comments associated with the note.
-
count: integer
(int32)
The number of comments associated with the note.
-
domainId: integer
(int32)
The domain ID associated with the note.
-
effectiveDate: string
(date-time)
The date and time the comment was posted.
-
eventId: string
The ID of the event associated with the note.
-
extension: object
extension
The extended attributes.
-
header: string
The header associated with the note.
-
id: string
The ID.
-
itemId: string
The ID of the item associated with the note.
-
reasonId: integer
(int32)
The reason ID associated with the note. Possible values are stored in /config/reason_code_scope objects. See "Localizing and Customizing Strings" in BRM Developer's Guide for information about how to customize these values using the reasons.locale file.
-
serviceId: string
The service ID associated with the note.
-
status: number
The note's status: not set (100), resolved (101), or unresolved (102). The default value is 102.
-
subType: integer
(int32)
The note's subtype. Possible values are stored in the /config/note_type object. See "Localizing and Customizing Strings" in BRM Developer's Guide for information about how to customize these values using the note.locale file.
-
type: integer
(int32)
The note's type. Possible values are stored in the /config/note_type object. See "Localizing and Customizing Strings" in BRM Developer's Guide for information about how to customize these values using the note.locale file.
Nested Schema : Discriminator: @class
Type:
Show Source
object-
@class(required): string
-
accountObj(required): object
ResourceRef
-
creationDate: string
(date-time)
The date and time the payment type was created.
-
extension: object
extension
The extended attributes.
-
id(required): object
ResourceRef
-
name: string
The name of the payment type.
-
paymentType: integer
(int32)
The payment type.
Nested Schema : comments
Type:
arrayThe list of comments associated with the note.
Show Source
-
Array of:
object Comments
The list of comments associated with the note.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : Comments
Type:
objectThe list of comments associated with the note.
Show Source
-
comment(required): string
The comment.
-
csrAccountId: string
The CSR's account ID.
-
csrFirstName: string
The CSR's first name.
-
csrLastName: string
The CSR's last name.
-
csrLoginId: string
The login ID associated with the CSR.
-
entryDate: string
(date-time)
The date and time the comment was entered by the CSR.
-
externalUser: string
The external user.
-
trackingId: string
The tracking ID.
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Nested Schema : extension
Type:
objectThe extended attributes.
500 Response
An internal server error occurred.